# TPOT Object

* [TPOT Object](documentation/TPOT.md)

* * *

# Pipeline Operators

## Models
* [pipeline_operators.models.tree.DecisionTreeClassifier](documentation/pipeline_operators/models/classifiers/tree/DecisionTreeClassifier.md)
* [pipeline_operators.models.ensemble.RandomForestClassifier](documentation/pipeline_operators/models/classifiers/ensemble/RandomForestClassifier.md)
* [pipeline_operators.models.ensemble.XGBClassifier](documentation/pipeline_operators/models/classifiers/ensemble/XGBClassifier)
* [pipeline_operators.models.svm.SVC](documentation/pipeline_operators/models/classifiers/svm/SVC.md)
* [pipeline_operators.models.nearest_neighbors.kNeighborsClassifier](documentation/pipeline_operators/models/classifiers/nearest_neighbors/kNeighborsClassifier.md)
* [pipeline_operators.models.linear_model.LogisticRegression](documentation/pipeline_operators/models/classifiers/linear_model/LogisticRegression.md)

## Feature Selection
* [pipeline_operators.feature_selection.VarianceThreshold](documentation/pipeline_operators/feature_selection/VarianceThreshold.md)
* [pipeline_operators.feature_selection.SelectKBest](documentation/pipeline_operators/feature_selection/SelectKBest.md)
* [pipeline_operators.feature_selection.SelectPercentile](documentation/pipeline_operators/feature_selection/SelectPercentile.md)
* [pipeline_operators.feature_selection.RFE](documentation/pipeline_operators/feature_selection/RFE.md)

## Pre-processing
* [pipeline_operators.preprocessing.PolynomialFeatures](documentation/pipeline_operators/preprocessing/PolynomialFeatures.md)
* [pipeline_operators.preprocessing.scaling.StandardScaler](documentation/pipeline_operators/preprocessing/scaling/StandardScaler.md)
* [pipeline_operators.preprocessing.scaling.RobustScaler](documentation/pipeline_operators/preprocessing/scaling/RobustScaler.md)

## Decomposition
*  [pipeline_operators.decomposition.RandomizedPCA](documentation/pipeline_operators/decomposition/RandomizedPCA.md)
